Skip to main content
POST
/
retirements
/
from_oldest_credits
Create Retirement From Oldest Credits
curl --request POST \
  --url https://api.sandbox.isometric.com/registry/v0/retirements/from_oldest_credits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "beneficiary_organisation_id": "org_1GB56M1ST1S0GVNA",
  "credit_quantity_kg": 123,
  "notes": "Retired with care.",
  "owner_organisation_id": "org_1GB56M1ST1S0GVNA",
  "retirement_purposes": [],
  "supplier_id": "spl_1CC712KFS1S0YKPS",
  "order_id": "ord_1FAN3S3WV1S0B842",
  "vintage": 2022
}
'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/retirements/from_oldest_credits"

payload = {
"beneficiary_organisation_id": "org_1GB56M1ST1S0GVNA",
"credit_quantity_kg": 123,
"notes": "Retired with care.",
"owner_organisation_id": "org_1GB56M1ST1S0GVNA",
"retirement_purposes": [],
"supplier_id": "spl_1CC712KFS1S0YKPS",
"order_id": "ord_1FAN3S3WV1S0B842",
"vintage": 2022
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
beneficiary_organisation_id: 'org_1GB56M1ST1S0GVNA',
credit_quantity_kg: 123,
notes: 'Retired with care.',
owner_organisation_id: 'org_1GB56M1ST1S0GVNA',
retirement_purposes: [],
supplier_id: 'spl_1CC712KFS1S0YKPS',
order_id: 'ord_1FAN3S3WV1S0B842',
vintage: 2022
})
};

fetch('https://api.sandbox.isometric.com/registry/v0/retirements/from_oldest_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "beneficiary": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "credit_batch_size_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "id": "ret_1FYBH4QDT1S0SVKF",
  "notes": "<string>",
  "owner": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "purposes": [],
  "retired_at": "2023-11-07T05:31:56Z",
  "url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
beneficiary_organisation_id
string
required

The ID of the organisation that the credits will be retired in the name of, this can be the same as owner_organisation_id.

Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

credit_quantity_kg
integer
required

A representation of a credit quantity as an integer kilogram amount. Where 1 unit represents 0.001 credits and 1 kilogram of CO₂e. This field can handle bigint values.

Example:

1000

notes
string | null
required

A publicly visible note stored with the credit retirement.

Maximum string length: 256
Example:

"Retired with care."

owner_organisation_id
string
required

The ID of the organisation owns the credits to be retired. Typically this would be your own organisation ID.

Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

retirement_purposes
enum<string>[]
required
Minimum array length: 1
Available options:
corporate_targets,
public_environmental_claims,
insetting,
regulatory_requirement,
other
supplier_id
string
required

All credits in a retirement must originate from the same supplier.

Required string length: 20 - 37
Examples:

"spl_1CC712KFS1S0YKPS"

"spl_1FJBMMGR3SBXKDME"

order_id
string | null

Filter to only retire credits from a specific order. If not provided, credits from any order will be considered.

Required string length: 20 - 37
Example:

"ord_1FAN3S3WV1S0B842"

vintage
integer | null

The year of the credits to be retired. If not provided, the oldest credits will be retired.

Required range: 1900 <= x <= 2100
Example:

2022

Response

Successful Response

beneficiary
Organisation · object
required
credit_batch_size_total
CreditQuantity · object
required
id
string
required
Required string length: 20 - 37
Examples:

"ret_1FYBH4QDT1S0SVKF"

"ret_1CGV2XADRSBX1CHB"

notes
string | null
required
owner
Organisation · object
required
purposes
enum<string>[]
required
Available options:
corporate_targets,
public_environmental_claims,
insetting,
regulatory_requirement,
other
retired_at
string<date-time>
required
url
string
required